summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorLassi Syrjala <lassi.syrjala@nokia.com>2010-06-01 16:22:40 +0300
committerLassi Syrjala <lassi.syrjala@nokia.com>2010-06-01 16:22:40 +0300
commit025ba1e7087ca6626bc771e280e38ae3ca0f4303 (patch)
treea50cd26430170279e6c0ff97d06f17de19ce2a9a /autogen.sh
The codebase for telepathy-ring 2.0.0
Telepathy-ring is now licensed under the LGPL (see COPYING for details) and ported over to Ofono backend. At the initial stage, the features of the 2.x.x series are not on par with the previous 1.x.x series.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..0969fc1
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+mkdir -p m4
+rm -f m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4
+
+if test -n "$AUTOMAKE"; then
+ : # don't override an explicit user request
+elif automake-1.9 --version >/dev/null 2>/dev/null && \
+ aclocal-1.9 --version >/dev/null 2>/dev/null; then
+ # If we have automake-1.9, use it. This helps to ensure that our build
+ # system doesn't accidentally grow automake-1.10 dependencies.
+ AUTOMAKE=automake-1.9
+ export AUTOMAKE
+ ACLOCAL=aclocal-1.9
+ export ACLOCAL
+fi
+
+autoreconf -i -f